ubuntu下安装nginx错误error: the HTTP rewrite module requires the PCRE library 解决方法

本文为大家讲解的是ubuntu下安装nginx错误error: the HTTP rewrite module requires the PCRE library 解决方法,感兴趣的同学参考下。


本文为大家讲解的是ubuntu下安装nginx错误error: the HTTP rewrite module requires the PCRE library 解决方法,感兴趣的同学参考下。

错误描述:

ubuntu安装nginx时提示error: the HTTP rewrite module requires the PCRE library

解决方法:

需要安装pcre包。

sudo apt-get update

sudo apt-get install libpcre3 libpcre3-dev

你可能还需要安装

sudo apt-get install openssl libssl-dev

时间: 05-18

ubuntu下安装nginx错误error: the HTTP rewrite module requires the PCRE library 解决方法的相关文章

CentOS安装Nginx 报错“configure: error: the HTTP rewrite module requires the PCRE library”解决办法

错误提示: ./configure: error: the HTTP rewrite module requires the PCRE library. 安装pcre-devel与openssl-devel解决问题 yum -y install pcre-devel openssl openssl-devel ./configure --prefix=/usr/local/nginx make make install

./configure: error: the HTTP rewrite module requires the PCRE library解决

有时候,我们需要单独安装nginx,来处理大量的下载请求. 单独在Centos5安装nginx遇到的rewrite和HTTP cache错误解决办法: wget http://nginx.org/download/nginx-0.8.33.tar.gz tar -zxvf nginx-0.8.33.tar.gz cd nginx-0.8.33 ./configure --prefix=/usr/local/nginx 安装Nginx时报错 ./configure: error: the HTTP

[linux] Nginx编译安装错误error: the HTTP rewrite module requires the PCRE library

nginx编译错误: 执行如下命令安装缺少的文件即可

nginx安装报错./configure: error: the http rewrite module requires the pcre library.

nginx编译时报错: ./configure: error: the http rewrite module requires the pcre library. 解决方法: [[email protected] nginx-1.5.9]#  yum install zlib-devel -y

ngingx安装错误 ./configure: error: the HTTP rewrite module requires the PCRE library.

有时候,我们需要单独安装nginx,来处理大量的下载请求.单独在Centos5安装nginx遇到的rewrite和HTTP  cache错误解决办法: wget http://nginx.org/download/nginx-0.8.33.tar.gztar -zxvf nginx-0.8.33.tar.gz cd nginx-0.8.33./configure --prefix=/usr/local/nginx 安装Nginx时报错 ./configure:  error: the HTTP 

ubuntu error: the HTTP rewrite module requires the PCRE library.

checking for getaddrinfo() ... found configuring additional modules adding module in //usr/src/echo-nginx-module-master + ngx_http_echo_module was configured checking for PCRE library ... not found checking for PCRE library in /usr/local/ ... not fou

error: the HTTP rewrite module requires the PCRE library.

1 从http://nginx.org/en/download.html   或http://nginx.net/en/download.html     wget http://nginx.org/download/nginx-0.6.38.tar.gz 2 解压 安装:    tar zxvf nginx-0.6.38.tar.gz    cd nginx-0.6.38    ./configure       make     make install 正常安装的话,这样就可以了,但是有时

./configure: error: the HTTP rewrite module requires the PCRE library.

案发现场还原: wget http://nginx.org/download/nginx-1.8.0.tar.gz cp nginx-1.8.0.tar.gz /usr/local cd /usr/local tar -zxvf nginx-1.8.0.tar.gz 安装Nginx时报错 解决办法: yum -y install openssl openssl-devel 总结: yum -y install pcre-devel openssl openssl-devel ./configur

ubuntu安装nginx时提示error: the HTTP rewrite module requires the PCRE library

需要安装pcre包. sudo apt-get update sudo apt-get install libpcre3 libpcre3-dev 你可能还需要安装 sudo apt-get install openssl libssl-dev